Get an asset
const url = 'https://ads.wortise.com/api/public/v1/assets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://ads.wortise.com/api/public/v1/assets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'Reads one asset of the organization library.
Requires the assets:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Asset UUID.
Responses
Section titled “Responses”The asset.
object
Example
{ "aspectRatio": "16:9", "extension": "png", "locale": "en", "type": "image"}The API key is missing, invalid, disabled or expired.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key lacks the scope, or its owner lacks the dashboard permission.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The resource does not exist in the organization of the API key.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key exceeded its rate limit; retry after the Retry-After seconds.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}Headers
Section titled “Headers”Seconds to wait before retrying.
Unexpected server error.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}© 2026 Wortise. All rights reserved.